Bug 503119 - named-sdb dead but pid file exists
named-sdb dead but pid file exists
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-05-28 19:48 EDT by Gerry Reno
Modified: 2013-04-30 19:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-04 06:47:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gerry Reno 2009-05-28 19:48:13 EDT
Description of problem:
When I run:
service named status
I see an error for:
named-sdb dead but pid file exists
but when you check named-sdb is running fine.  The problem seems to be related to the symbolic link in /var/run/named-sdb.pid --> /var/named/chroot/var/run/named-sdb.pid.  The pid in the file is old.  During 'stop' I think the symbolic link is getting removed instead of the pid file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. see desc.
Actual results:

Expected results:

Additional info:
Comment 1 Adam Tkac 2009-09-04 06:47:00 EDT
This issue is already fixed in Fedora 11, closing.

Note You need to log in before you can comment on or make changes to this bug.